Needs to know about quantal

Bug #994208 reported by Iain Lane on 2012-05-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
clang (Ubuntu)
Undecided
Adam Conrad
devscripts (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Adam Conrad
emacs-goodies-el (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Adam Conrad
lintian (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Adam Conrad
vim (Ubuntu)
Undecided
Adam Conrad
Precise
Undecided
Adam Conrad

Bug Description

These packages need updating to know about quantal, to avoid confusion or warnings.

Iain Lane (laney) on 2012-05-03
Changed in vim (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devscripts - 2.11.6ubuntu2

---------------
devscripts (2.11.6ubuntu2) quantal; urgency=low

  * Teach devscripts about this shiny new quantal thing (LP: #994208)
 -- Adam Conrad <email address hidden> Thu, 03 May 2012 15:08:43 -0600

Changed in devscripts (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs-goodies-el - 35.2ubuntu2

---------------
emacs-goodies-el (35.2ubuntu2) quantal; urgency=low

  * Teach emacs-goodies-el about quantal and quantal-proposed (LP: #994208)
 -- Adam Conrad <email address hidden> Thu, 03 May 2012 15:12:29 -0600

Changed in emacs-goodies-el (Ubuntu):
status: New → Fix Released
Adam Conrad (adconrad) on 2012-05-03
no longer affects: clang (Ubuntu Precise)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lintian - 2.5.6ubuntu1

---------------
lintian (2.5.6ubuntu1) quantal; urgency=low

  * Teach lintian that quantal is a valid Ubuntu release (LP: #994208)
 -- Adam Conrad <email address hidden> Thu, 03 May 2012 15:15:08 -0600

Changed in lintian (Ubuntu):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Uploads for all four precise tasks have been made to precise-proposed, just awaiting someone who isn't me approving them.

Changed in devscripts (Ubuntu Precise):
status: New → In Progress
Changed in emacs-goodies-el (Ubuntu Precise):
status: New → In Progress
Changed in lintian (Ubuntu Precise):
status: New → In Progress
Changed in vim (Ubuntu Precise):
status: New → In Progress
Changed in clang (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in devscripts (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in devscripts (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
Changed in emacs-goodies-el (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in emacs-goodies-el (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
Changed in lintian (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in lintian (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
Changed in vim (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in vim (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)

Hello Iain, or anyone else affected,

Accepted devscripts into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in devscripts (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) on 2012-05-04
Changed in clang (Ubuntu):
status: New → In Progress
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted emacs-goodies-el into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in emacs-goodies-el (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in lintian (Ubuntu Precise):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted lintian into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in vim (Ubuntu Precise):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted vim into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Langasek (vorlon) wrote :

dch -r in quantal is still setting a default target of 'precise'. Adam, can you fix this?

Changed in devscripts (Ubuntu):
status: Fix Released → Triaged
Changed in devscripts (Ubuntu Precise):
status: Fix Committed → Triaged
Steve Langasek (vorlon) wrote :

removed the devscripts SRU from precise-proposed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devscripts - 2.11.6ubuntu3

---------------
devscripts (2.11.6ubuntu3) quantal; urgency=low

  * Scour debchange.pl for more s/precise/quantal/ bits ((LP: #994208)
 -- Adam Conrad <email address hidden> Sun, 06 May 2012 02:31:54 -0600

Changed in devscripts (Ubuntu):
status: Triaged → Fix Released
Adam Conrad (adconrad) wrote :

Reuploaded to both quantal and precise-proposed after a more careful grep.

PS: we shouldn't use release codenames that occur so frequently in code in other contexts. :/

Adam Conrad (adconrad) wrote :

All the uploads to precise-proposed behave in ways that seem sane to me.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devscripts - 2.11.6ubuntu1.2

---------------
devscripts (2.11.6ubuntu1.2) precise-proposed; urgency=low

  * Scour debchange.pl for more s/precise/quantal/ bits ((LP: #994208)
 -- Adam Conrad <email address hidden> Sun, 06 May 2012 02:31:54 -0600

Changed in devscripts (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs-goodies-el - 35.2ubuntu1.1

---------------
emacs-goodies-el (35.2ubuntu1.1) precise-proposed; urgency=low

  * Teach emacs-goodies-el about quantal and quantal-proposed (LP: #994208)
 -- Adam Conrad <email address hidden> Thu, 03 May 2012 15:12:29 -0600

Changed in emacs-goodies-el (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lintian - 2.5.6ubuntu0.1

---------------
lintian (2.5.6ubuntu0.1) precise-proposed; urgency=low

  * Teach lintian that quantal is a valid Ubuntu release (LP: #994208)
 -- Adam Conrad <email address hidden> Thu, 03 May 2012 15:15:08 -0600

Changed in lintian (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vim - 2:7.3.429-2ubuntu2.1

---------------
vim (2:7.3.429-2ubuntu2.1) precise-proposed; urgency=low

  * Add quantal to the deb{changelog,sources} hilighting (LP: #994208)
 -- Adam Conrad <email address hidden> Fri, 27 Apr 2012 10:17:02 -0600

Changed in vim (Ubuntu Precise):
status: Fix Committed → Fix Released
Tuomas Jormola (tjormola) wrote :

IMHO devscripts 2.11.6ubuntu1.2 in precise-updates is broken for precise.. When using dch(1) from this package on precise, the default distribution in changelog entries in now "quantal", not "precise". I don't you want to change that from "precise" to "quantal" 12.04 LTS aka. precise. Of course it's a good thing the tools recognize quantal as a possible valid distro name, but it shouldn't be the default in this case...

Stefano Rivera (stefanor) wrote :

Toumas: That's bug #1001068.

Adam Conrad (adconrad) wrote :

Turns out that clang doesn't *need* to know about the current release, as the code just assumes that anything it doesn't know is the same as precise, which works for quantal.

Changed in clang (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers